Index: /equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc
===================================================================
--- /equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc	(revision 207)
+++ /equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc	(revision 208)
@@ -1500,83 +1500,83 @@
 void Analysis::ComputeDACAverage(Double_t dac_half_spe_fix ,Int_t    kChRef, Bool_t   checkAve )//0:use ref pix, 1:check average
 {
-
-
-if(DEBUG)
-{
-  cout << " >>>>>>> START Analysis::ComputeDACAverage " << endl;
- 
-    cout << " \t - dac_half_spe_fix = " << dac_half_spe_fix << endl; 
-    cout << " \t - kChRef = " << kChRef << " ASIC_C " << endl;
-    cout << " \t - checkAve = " << checkAve << " 0:use ref pix, 1:check average " << endl;	
-}
-
- // SDC 24/09/2013 :: In a compiled program, I have to declare the following variables outside the parenthesis
-
- 
-  mean_diff_ave = 252.5; //dac_sfit of ch31 of ASIC_C with the 180 for lower gain pixels
-  
-  if(!checkAve){
-    dac_ped_ave   = dac_ped[kChRef]; //absolute value
-    dac_half_ave  = dac_half[kChRef];
-    dac_spe_ave   = dac_spe[kChRef];
-    dac_sfit_ave  = dac_sfit[kChRef];
-    //Float_t dac_sfit_ave  = 252.5; //dac_sfit of ch31 of ASIC_C with the 180 for lower gain pixels
-    mean_diff_ave = mean_diff[kChRef];
-  }else{
-    dac_ped_ave  = dac_ped_sum/(Float_t)kNch; //absolute value
-    dac_half_ave = dac_half_sum/(Float_t)trigger+dac_ped_ave;
-    dac_spe_ave  = dac_spe_sum/(Float_t)trigger_fit+dac_ped_ave;
-    mean_diff_ave = mean_sum/(Float_t)trigger_mean+dac_ped_ave; 
-    dac_sfit_ave = dac_sfit_sum/(Float_t)trigger_sfit+dac_ped_ave; 
-  }
-
-
-// SDC 24/09/2013 :: In a compiled program, I have to declare the following variables outside the parenthesis
-
-
-  //trigger_mean=4;
-  if(dac_half_spe_fix!=-1) {
-    dac_half_spe = dac_half_spe_fix;
-  } else {
-    //Double_t dac_half_spe = dac_half_ave;
-    dac_half_spe = dac_spe_ave;
-  }
-
-  TLine *ldac_ped_ave   = new TLine(dac_ped_ave,0,dac_ped_ave,
-				   (Double_t)kDrawMax);
-  TLine *ldac_ped_ave_copy = new TLine(dac_ped_ave,0,dac_ped_ave,
-				   (Double_t)kDrawMaxDiff);
-  TLine *ldac_half_ave  = new TLine(dac_half_ave,0,dac_half_ave,
-				   (Double_t)kDrawMax);
-  TLine *ldac_half_spe  = new TLine(dac_half_spe,0,dac_half_spe,
-				   (Double_t)kDrawMax);
-  TLine *lmean_diff_ave = new TLine(mean_diff_ave,0,mean_diff_ave,
-				   (Double_t)kDrawMax);
-  TLine *ldac_sfit_ave  = new TLine(dac_sfit_ave,0,dac_sfit_ave,
-				   (Double_t)kDrawMax);
-  ldac_ped_ave->SetLineColor(kOrange);
-  ldac_half_ave->SetLineColor(kRed);
-  lmean_diff_ave->SetLineColor(kCyan);
-  //ldac_half_spe->SetLineColor(kGreen);
-  ldac_sfit_ave->SetLineColor(kMagenta);  
-
-  c3->cd(1);
-  ldac_ped_ave->Draw("same");
-  ldac_half_ave->Draw("same");
-  // lhalf_max->Draw("same");  SDC (24/09/2013) :: Not declared
-  ldac_half_spe->Draw("same");
-  lmean_diff_ave->Draw("same");
-  ldac_sfit_ave->Draw("same");
-
-  c3->cd(3);
-  ldac_ped_ave_copy->SetLineColor(kOrange);
-  ldac_ped_ave_copy->Draw("same");
-
-if(DEBUG)
-{
-  cout << " >>>>>>> END Analysis::ComputeDACAverage " << endl;	
-}
- 
-
+    
+    
+    if(DEBUG)
+    {
+        cout << " >>>>>>> START Analysis::ComputeDACAverage " << endl;
+        
+        cout << " \t - dac_half_spe_fix = " << dac_half_spe_fix << endl;
+        cout << " \t - kChRef = " << kChRef << " ASIC_C " << endl;
+        cout << " \t - checkAve = " << checkAve << " 0:use ref pix, 1:check average " << endl;
+    }
+    
+    // SDC 24/09/2013 :: In a compiled program, I have to declare the following variables outside the parenthesis
+    
+    
+    mean_diff_ave = 252.5; //dac_sfit of ch31 of ASIC_C with the 180 for lower gain pixels
+    
+    if(!checkAve){
+        dac_ped_ave   = dac_ped[kChRef]; //absolute value
+        dac_half_ave  = dac_half[kChRef];
+        dac_spe_ave   = dac_spe[kChRef];
+        dac_sfit_ave  = dac_sfit[kChRef];
+        //Float_t dac_sfit_ave  = 252.5; //dac_sfit of ch31 of ASIC_C with the 180 for lower gain pixels
+        mean_diff_ave = mean_diff[kChRef];
+    }else{
+        dac_ped_ave  = dac_ped_sum/(Float_t)kNch; //absolute value
+        dac_half_ave = dac_half_sum/(Float_t)trigger+dac_ped_ave;
+        dac_spe_ave  = dac_spe_sum/(Float_t)trigger_fit+dac_ped_ave;
+        mean_diff_ave = mean_sum/(Float_t)trigger_mean+dac_ped_ave;
+        dac_sfit_ave = dac_sfit_sum/(Float_t)trigger_sfit+dac_ped_ave;
+    }
+    
+    
+    // SDC 24/09/2013 :: In a compiled program, I have to declare the following variables outside the parenthesis
+    
+    
+    //trigger_mean=4;
+    if(dac_half_spe_fix!=-1) {
+        dac_half_spe = dac_half_spe_fix;
+    } else {
+        //Double_t dac_half_spe = dac_half_ave;
+        dac_half_spe = dac_spe_ave;
+    }
+    
+    TLine *ldac_ped_ave   = new TLine(dac_ped_ave,0,dac_ped_ave,
+                                      (Double_t)kDrawMax);
+    TLine *ldac_ped_ave_copy = new TLine(dac_ped_ave,0,dac_ped_ave,
+                                         (Double_t)kDrawMaxDiff);
+    TLine *ldac_half_ave  = new TLine(dac_half_ave,0,dac_half_ave,
+                                      (Double_t)kDrawMax);
+    TLine *ldac_half_spe  = new TLine(dac_half_spe,0,dac_half_spe,
+                                      (Double_t)kDrawMax);
+    TLine *lmean_diff_ave = new TLine(mean_diff_ave,0,mean_diff_ave,
+                                      (Double_t)kDrawMax);
+    TLine *ldac_sfit_ave  = new TLine(dac_sfit_ave,0,dac_sfit_ave,
+                                      (Double_t)kDrawMax);
+    ldac_ped_ave->SetLineColor(kOrange);
+    ldac_half_ave->SetLineColor(kRed);
+    lmean_diff_ave->SetLineColor(kCyan);
+    //ldac_half_spe->SetLineColor(kGreen);
+    ldac_sfit_ave->SetLineColor(kMagenta);
+    
+    c3->cd(1);
+    ldac_ped_ave->Draw("same");
+    ldac_half_ave->Draw("same");
+    // lhalf_max->Draw("same");  SDC (24/09/2013) :: Not declared
+    ldac_half_spe->Draw("same");
+    lmean_diff_ave->Draw("same");
+    ldac_sfit_ave->Draw("same");
+    
+    c3->cd(3);
+    ldac_ped_ave_copy->SetLineColor(kOrange);
+    ldac_ped_ave_copy->Draw("same");
+    
+    if(DEBUG)
+    {
+        cout << " >>>>>>> END Analysis::ComputeDACAverage " << endl;
+    }
+    
+    
 }
 
@@ -1586,74 +1586,79 @@
 void Analysis::OutputGain(const TString fname_out)
 {
-
-if(DEBUG)
-{
-  cout << " >>>>>>> START Analysis::OutputGain " << endl;
-  cout << " \t - fname_out = " << fname_out << endl; 	
-}
-
- ofstream out(fname_out.Data()); 
-
- Int_t    gain_asic_diff, gain_asic_dacHalf, gain_asic_diff_mean, gain_asic_sfit;
-  out << "title  ch  g_asic_dacHalf  g_asic_diff  g_asic_diff_mean  g_asic_sfit  dac_half[ch]  dac_ped[ch]  dac_spe[ch]  dac_half_ave dac_half_spe dac_ped_ave  dac_sfit_ave" 
-       << endl;
-
-
-  // loop 3 on all channels to make final computations on the gain 
-  for(ch=0;ch<kNch;ch++){
-    /*
-    if(ch==8 || ch==44 || ch==56 || ch==18){
-      gain_asic_diff_mean=(Int_t)((mean_diff_ave-dac_ped_ave)/
-				  (mean_diff[ch]-dac_ped[ch])*gain_org[ch]);
-    }else{
-      gain_asic_diff_mean=0;
-    }
-    */
-    if(dac_half[ch]<0){
-      gain_asic_dacHalf   = 0;
-      gain_asic_diff      = 0;
-      gain_asic_diff_mean = 0;
-      gain_asic_sfit      = 0;
-    }else{
-      gain_asic_dacHalf  =(Int_t)((dac_half_ave-dac_ped_ave)/
-				(dac_half[ch]-dac_ped[ch])*gain_org[ch]);
-      gain_asic_diff     =(Int_t)((dac_half_spe-dac_ped_ave)/
-			     (dac_spe[ch]-dac_ped[ch])*gain_org[ch]);
-      gain_asic_diff_mean=(Int_t)((mean_diff_ave-dac_ped_ave)/
-				  (mean_diff[ch]-dac_ped[ch])*gain_org[ch]);
-      gain_asic_sfit     =(Int_t)((dac_sfit_ave-dac_ped_ave)/
-			     (dac_sfit[ch]-dac_ped[ch])*gain_org[ch]);
-      //cerr << ch << " " << gain_org[ch] << endl;
-    }
-
-    
-
-    out << "OUT_TABLE    "
-	 << ch << "    "
-	 << gain_asic_dacHalf   << "    "
-	 << gain_asic_diff      << "    "
-	 << gain_asic_diff_mean << "    "
-	 << gain_asic_sfit      << "    "
-	 << dac_half[ch]        << "    "
-	 << dac_ped[ch]         << "    "
-	 << (Int_t)dac_spe[ch]  << "    "
-	 << dac_half_ave        << "    "
-	 << dac_half_spe        << "    "
-	 << dac_ped_ave         << "    "
-	 << dac_sfit_ave        << "    "
-	 << sfit_chiS[ch]       << "    "
-         << ch                  << "    "
-	 << flag_fit[ch]       
-	 << endl;
-      std::cout << "channel " << ch << " old gain " << gain_org[ch] << " new gain " << gain_asic_sfit << std::endl;
-  }
-  out.close();
-
-if(DEBUG)
-{
-  cout << " >>>>>>> END Analysis::OutputGain " << endl;	
-}
-
-
+    
+    if(DEBUG)
+    {
+        cout << " >>>>>>> START Analysis::OutputGain " << endl;
+        cout << " \t - fname_out = " << fname_out << endl;
+    }
+    
+    ofstream out(fname_out.Data());
+    
+    Int_t    gain_asic_diff, gain_asic_dacHalf, gain_asic_diff_mean, gain_asic_sfit;
+    out << "title  ch  g_asic_dacHalf  g_asic_diff  g_asic_diff_mean  g_asic_sfit  dac_half[ch]  dac_ped[ch]  dac_spe[ch]  dac_half_ave dac_half_spe dac_ped_ave  dac_sfit_ave"
+    << endl;
+    
+    
+    // loop 3 on all channels to make final computations on the gain 
+    for(ch=0;ch<kNch;ch++){
+        /*
+         if(ch==8 || ch==44 || ch==56 || ch==18){
+         gain_asic_diff_mean=(Int_t)((mean_diff_ave-dac_ped_ave)/
+         (mean_diff[ch]-dac_ped[ch])*gain_org[ch]);
+         }else{
+         gain_asic_diff_mean=0;
+         }
+         */
+        if(dac_half[ch]<0){
+            gain_asic_dacHalf   = 0;
+            gain_asic_diff      = 0;
+            gain_asic_diff_mean = 0;
+            gain_asic_sfit      = 0;
+        }else{
+            gain_asic_dacHalf  =(Int_t)((dac_half_ave-dac_ped_ave)/
+                                        (dac_half[ch]-dac_ped[ch])*gain_org[ch]);
+            gain_asic_diff     =(Int_t)((dac_half_spe-dac_ped_ave)/
+                                        (dac_spe[ch]-dac_ped[ch])*gain_org[ch]);
+            gain_asic_diff_mean=(Int_t)((mean_diff_ave-dac_ped_ave)/
+                                        (mean_diff[ch]-dac_ped[ch])*gain_org[ch]);
+            gain_asic_sfit     =(Int_t)((dac_sfit_ave-dac_ped_ave)/
+                                        (dac_sfit[ch]-dac_ped[ch])*gain_org[ch]);
+            //cerr << ch << " " << gain_org[ch] << endl;
+        }
+        
+        
+        
+        out << "OUT_TABLE    "
+        << ch << "    "
+        << gain_asic_dacHalf   << "    "
+        << gain_asic_diff      << "    "
+        << gain_asic_diff_mean << "    "
+        << gain_asic_sfit      << "    "
+        << dac_half[ch]        << "    "
+        << dac_ped[ch]         << "    "
+        << (Int_t)dac_spe[ch]  << "    "
+        << dac_half_ave        << "    "
+        << dac_half_spe        << "    "
+        << dac_ped_ave         << "    "
+        << dac_sfit_ave        << "    "
+        << sfit_chiS[ch]       << "    "
+        << ch                  << "    "
+        << flag_fit[ch]       
+        << endl;
+        
+        if(DEBUG>2)
+        {
+            std::cout << "channel " << ch << " old gain " << gain_org[ch] << " new gain " << gain_asic_sfit << std::endl;
+        }
+    }
+    out.close();
+    
+    if(DEBUG)
+    {
+        cout << " >>>>>>> END Analysis::OutputGain " << endl;
+        
+    }
+    
+    
 }
 //--------------------------------------------------------------------------------------------------------
@@ -1669,12 +1674,12 @@
 void Analysis::Help()
 {
-
-  cout << "This is the Help of the PlotScurveAll-diffFit" <<endl;
-  cout << " Version 2.0 from September 27 2013 " <<endl;
-  cout << " Main author Hiroko Miyamoto " << endl;
-  cout << " Adapted for modularity and compilable program by Sylvie Dagoret " << endl;
-  cout << " ==> Please from shell execute directly the compiled program :  " <<endl;
-  cout << " ==> ../../src/PlotScurvesAllMain  " << endl;
-   
+    
+    cout << "This is the Help of the PlotScurveAll-diffFit" <<endl;
+    cout << " Version 2.0 from September 27 2013 " <<endl;
+    cout << " Main author Hiroko Miyamoto " << endl;
+    cout << " Adapted for modularity and compilable program by Sylvie Dagoret " << endl;
+    cout << " ==> Please from shell execute directly the compiled program :  " <<endl;
+    cout << " ==> ../../src/PlotScurvesAllMain  " << endl;
+    
 }
 //--------------------------------------------------------------------------------------------------------
@@ -1684,41 +1689,41 @@
 void Analysis::Menu()
 {
- cout << "This is the Detailed menu information for running the PlotScurveAll-diffFit" <<endl;
-
- cout << " void PlotScurve( " << endl;
- cout << " \t " <<  " Int_t    kDrawCh=31, " << endl;
- cout << " \t " <<  " TString  fname=kFname, " << endl;
- cout << " \t " <<  " TString  fname_ped=kFnamePed, //ASIC_D ped_file " << endl;
- cout << " \t " <<  " Double_t dac_half_spe_fix = -1," << endl;
- cout << " \t " <<  " TString  fname_gain=\"gain-org.txt\"," << endl;
- cout << " \t " <<  " Int_t    fit_min=kFitMin," << endl;
- cout << " \t " <<  " Int_t    fit_max=kFitMax," << endl;
- cout << " \t " <<  " Int_t    fit_min_scurve=kFitMinS," << endl;
- cout << " \t " <<  " Int_t    fit_max_scurve=kFitMaxS," << endl;
- cout << " \t " <<  " Bool_t   kBoard=1, //0:ASIC_C, 1:ASIC_D " << endl;
- cout << " \t " <<  " Int_t    kChRef=kRefCh,//ASIC_C " << endl;
- cout << " \t " <<  " Bool_t   checkAve=0 //0:use ref pix, 1:check average " << endl;
- cout << " ) " << endl;		
- cout << "Set the parameters on the top of the program depending on your analysis:  " << endl;
- cout << "General policy: parameters starting with a \"k\" at the beginning is fixed gloval parameter and usually set in the header file, never change through the program. " << endl;
- cout << " : " << endl;
- cout << " - kDrawCh: channel just you want to check on display. doens't effect the analysis. " << endl;
- 
- cout << " - fname, fname_ped (kFname, kFnamePed): \"YOUR DATA FILE\" without .data"  << endl;
- cout << " See examples in the header file. " << endl;
- cout << " - dac_half_spe_fix: set DAC value only when you want to adjust the gain to particular pulse height (DAC value) instead of either average of the pulse height of reference pixel. Usually just leave it -1. " << endl;
- cout << " - fit_min, fit_max (kFitMin, kFitMax): leave them as default, it is not currently used for the analysis."  << endl;
- cout << " - fit_min_scurve, fit_max_scurve (kFitMinS, kFitMaxS): define the range of s-curve fitting. search proper values by yourself with running root program a few times."  << endl;
- cout << " - kBoard: don't forget to change 0(C) or 1(D) depending on which ASIC you're analysing "  << endl;
- cout << " - kChRef (kRefCh): a pixel whose gain remains 64 thorough the gain adjustment. " << endl;
- cout << " - checkAve: for the first run, set this parameter 1, and find a pixel which remains 64. In the case of parameter 1, all the gains are adjusted to the average pulse height. " << endl;
-   cout <<  " Once you choose the reference pixel, set the parameter 0, as well as set kRefCh the pixel number. (better to keep in the header file for the record of each PMTs.) " << endl;
-
-   cout << " Actual configuration " << endl;
-   cout << " \t " <<  "TString kFname = " << kFname << endl;
-   cout << " \t " <<  "TString  kFnamePed = " << kFnamePed  << endl;
-   cout << " \t " <<  "Int_t kFitMin = " << kFitMin << endl; 
-   cout << " \t " <<  "Int_t kFitMax = " << kFitMax << endl;
-
+    cout << "This is the Detailed menu information for running the PlotScurveAll-diffFit" <<endl;
+    
+    cout << " void PlotScurve( " << endl;
+    cout << " \t " <<  " Int_t    kDrawCh=31, " << endl;
+    cout << " \t " <<  " TString  fname=kFname, " << endl;
+    cout << " \t " <<  " TString  fname_ped=kFnamePed, //ASIC_D ped_file " << endl;
+    cout << " \t " <<  " Double_t dac_half_spe_fix = -1," << endl;
+    cout << " \t " <<  " TString  fname_gain=\"gain-org.txt\"," << endl;
+    cout << " \t " <<  " Int_t    fit_min=kFitMin," << endl;
+    cout << " \t " <<  " Int_t    fit_max=kFitMax," << endl;
+    cout << " \t " <<  " Int_t    fit_min_scurve=kFitMinS," << endl;
+    cout << " \t " <<  " Int_t    fit_max_scurve=kFitMaxS," << endl;
+    cout << " \t " <<  " Bool_t   kBoard=1, //0:ASIC_C, 1:ASIC_D " << endl;
+    cout << " \t " <<  " Int_t    kChRef=kRefCh,//ASIC_C " << endl;
+    cout << " \t " <<  " Bool_t   checkAve=0 //0:use ref pix, 1:check average " << endl;
+    cout << " ) " << endl;		
+    cout << "Set the parameters on the top of the program depending on your analysis:  " << endl;
+    cout << "General policy: parameters starting with a \"k\" at the beginning is fixed gloval parameter and usually set in the header file, never change through the program. " << endl;
+    cout << " : " << endl;
+    cout << " - kDrawCh: channel just you want to check on display. doens't effect the analysis. " << endl;
+    
+    cout << " - fname, fname_ped (kFname, kFnamePed): \"YOUR DATA FILE\" without .data"  << endl;
+    cout << " See examples in the header file. " << endl;
+    cout << " - dac_half_spe_fix: set DAC value only when you want to adjust the gain to particular pulse height (DAC value) instead of either average of the pulse height of reference pixel. Usually just leave it -1. " << endl;
+    cout << " - fit_min, fit_max (kFitMin, kFitMax): leave them as default, it is not currently used for the analysis."  << endl;
+    cout << " - fit_min_scurve, fit_max_scurve (kFitMinS, kFitMaxS): define the range of s-curve fitting. search proper values by yourself with running root program a few times."  << endl;
+    cout << " - kBoard: don't forget to change 0(C) or 1(D) depending on which ASIC you're analysing "  << endl;
+    cout << " - kChRef (kRefCh): a pixel whose gain remains 64 thorough the gain adjustment. " << endl;
+    cout << " - checkAve: for the first run, set this parameter 1, and find a pixel which remains 64. In the case of parameter 1, all the gains are adjusted to the average pulse height. " << endl;
+    cout <<  " Once you choose the reference pixel, set the parameter 0, as well as set kRefCh the pixel number. (better to keep in the header file for the record of each PMTs.) " << endl;
+    
+    cout << " Actual configuration " << endl;
+    cout << " \t " <<  "TString kFname = " << kFname << endl;
+    cout << " \t " <<  "TString  kFnamePed = " << kFnamePed  << endl;
+    cout << " \t " <<  "Int_t kFitMin = " << kFitMin << endl; 
+    cout << " \t " <<  "Int_t kFitMax = " << kFitMax << endl;
+    
 }
 
Index: /equalization_gain/trunk/src/PlotScurvesAll-diffFitConst.h
===================================================================
--- /equalization_gain/trunk/src/PlotScurvesAll-diffFitConst.h	(revision 207)
+++ /equalization_gain/trunk/src/PlotScurvesAll-diffFitConst.h	(revision 208)
@@ -55,5 +55,8 @@
 //TString  kFname="data_s_curves_run94";//T1 ASIC_C it3
 //const TString  kFname="data_s_curves_run100";//T1 ASIC_C it3
-const TString  kFname="data_s_curves_run104";//T1 ASIC_C it0
+//const TString  kFname="data_s_curves_run105";//T1 ASIC_C&D it0
+//const TString  kFname="data_s_curves_run104";//T1 ASIC_C&D it1
+const TString  kFname="data_s_curves_run105";//T3 ASIC_C&D it1
+
 
 /*** pedestal file ***/
@@ -72,5 +75,6 @@
 //TString  kFnamePed="data_s_curves_run94";//T1 ASIC_C it3
 //const TString  kFnamePed="data_s_curves_run100";//T1 ASIC_C it3
-const TString  kFnamePed="data_s_curves_run104";//T1 ASIC_C it0
+const TString  kFnamePed="data_s_curves_run105";//T3 ASIC_C&D it1
+//const TString  kFnamePed="data_s_curves_run104";//T1 ASIC_C&D it1
 
 // Output file
@@ -99,5 +103,5 @@
 //Int_t kFitSadj = 0;
 
-const Int_t kRefCh   = 47; //T1 ASIC_D, T1 ASIC_C
+const Int_t kRefCh   = 4; //T1 ASIC_D, T1 ASIC_C
 //Int_t kRefCh   = 32; //(T1 ASIC_C), T2 ASIC_D
 //Int_t kRefCh   = 37; //T2 ASIC_C
Index: /equalization_gain/trunk/src/makeGainTable.sh
===================================================================
--- /equalization_gain/trunk/src/makeGainTable.sh	(revision 207)
+++ /equalization_gain/trunk/src/makeGainTable.sh	(revision 208)
@@ -11,4 +11,5 @@
 #export fname=data_s_curves_run91
 export fname=data_s_curves_run104
+#export fname=data_s_curves_run105
 #export fname=$@ #standard input
 #export fname_o=gain-900V_$fname.txt
@@ -25,23 +26,23 @@
 #export fname_o=gain-1000V-sfit-T1_ASIC_C-th180_th150-ch17-it3.txt
 #export fname_o=gain-1000V-sfit-T1_ASIC_C-th200-it3.txt
-export fname_o=gain-run_104-T1_ASIC_C-it0.txt
+export fname_o=gain-run_104-T1_ASIC_D-it1.txt
 
 
-for j in `seq 0 127`; do echo "0"; done > ${fname_o} #ASIC_C only/and ASIC_D
-#for j in `seq 0 191`; do echo "0"; done > ${fname_o} #only ASIC_D
+#for j in `seq 0 127`; do echo "0"; done > ${fname_o} #ASIC_C only/and ASIC_D
+for j in `seq 0 191`; do echo "0"; done > ${fname_o} #only ASIC_D
 
-cd ${fname}_C
+#cd ${fname}_C
+#grep OUT_TABLE gain-output.dat > gain-output-extract.dat
+#cat tmp2.dat |awk '{print($3)}' >> ../${fname_o} #dacHalf
+#cat tmp2.dat |awk '{print($4)}' >> ../${fname_o} #differential
+#cat gain-output-extract.dat |awk '{print($6)}' >> ../${fname_o} #scurve_fit
+#cd ../
+cd ${fname}_D
 grep OUT_TABLE gain-output.dat > gain-output-extract.dat
 #cat tmp2.dat |awk '{print($3)}' >> ../${fname_o} #dacHalf
-#cat tmp2.dat |awk '{print($4)}' >> ../${fname_o} #differential
+#cat tmp2.dat |awk '{print($5)}' >> ../${fname_o} #differential
 cat gain-output-extract.dat |awk '{print($6)}' >> ../${fname_o} #scurve_fit
 cd ../
-#cd ${fname}_D
-#grep OUT_TABLE tmp-v6-th200-it1.data > tmp-v6-th200-it1.dat
-#cat tmp2.dat |awk '{print($3)}' >> ../${fname_o} #dacHalf
-#cat tmp2.dat |awk '{print($5)}' >> ../${fname_o} #differential
-#cat tmp-v6-th200-it1.dat |awk '{print($6)}' >> ../${fname_o} #scurve_fit
-#cd ../
 
-#for j in `seq 0 127`; do echo "0"; done >> ./${fname_o} #ASIC_D only/and ASIC_C
-for j in `seq 0 191`; do echo "0"; done >> ./${fname_o} #only ASIC_C
+for j in `seq 0 127`; do echo "0"; done >> ./${fname_o} #ASIC_D only/and ASIC_C
+#for j in `seq 0 191`; do echo "0"; done >> ./${fname_o} #only ASIC_C
